org.apache.ignite.internal.visor.cache

## Class VisorCachePartition

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCachePartition

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCachePartition
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for information about keys in cache partition.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCachePartition(int part, int heap, long offheap, long swap)` Full constructor.

### Method Summary

Methods
`int` `heap()`
`long` `offheap()`
`int` `partition()`
`long` `swap()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCachePartition

    public VisorCachePartition(int part,
                       int heap,
                       long offheap,
                       long swap)

Full constructor.

Parameters:
  `part` - Partition id.
  `heap` - Number of keys in heap.
  `offheap` - Number of keys in offheap.
  `swap` - Number of keys in swap.

### Method Detail

#### partition

    public int partition()

Returns:
  Partition id.

#### heap

    public int heap()

Returns:
  Number of keys in heap.

#### offheap

    public long offheap()

Returns:
  Number of keys in offheap.

#### swap

    public long swap()

Returns:
  Number of keys in swap.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016